[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RawByteString

Single-byte character string without specified codepage

## Declaration

Source position: systemh.inc line 467

`type RawByteString = ansistring;`

## Description

RawByteString is a single-byte character string which does not have any codepage associated with it.

This means that assigning a single-byte character string to this kind of string will not change the codepage of the string.

Inversely, when assigning a RawByteString to a single-byte string, the codepage of the destination is simply set to the codepage of the rawbytestring: no codepage conversion happens, the reference count is simply increased.

## See also

TSystemCodePage |  | System code page